aboutsummaryrefslogtreecommitdiff
path: root/openwrt/scripts
diff options
context:
space:
mode:
authorFelix Fietkau <nbd@openwrt.org>2006-10-10 23:04:00 +0000
committerFelix Fietkau <nbd@openwrt.org>2006-10-10 23:04:00 +0000
commitf3d5452b98aee25f43b49fb673972be80e9016db (patch)
tree879b15f0ee7b9162c60631b12df563cf8bbc44b9 /openwrt/scripts
parent18ec5cc6ced39195c863781c0d8323dbb585feea (diff)
replace ipkg-make-index with a shell script that works on bsd
SVN-Revision: 5046
Diffstat (limited to 'openwrt/scripts')
-rwxr-xr-xopenwrt/scripts/ipkg-make-index.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/openwrt/scripts/ipkg-make-index.sh b/openwrt/scripts/ipkg-make-index.sh
new file mode 100755
index 0000000000..46051045ae
--- /dev/null
+++ b/openwrt/scripts/ipkg-make-index.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+set -e
+
+pkg_dir=$1
+
+if [ -z $pkg_dir ] || [ ! -d $pkg_dir ]; then
+ echo "Usage: ipkg-make-index <package_directory>"
+ exit 1
+fi
+
+which md5sum 2>&1 >/dev/null || alias md5sum=md5
+
+for pkg in `find $pkg_dir -name '*.ipk' | sort`; do
+ echo "Generating index for package $pkg" >&2
+ file_size=$(ls -l $pkg | awk '{print $5}')
+ md5sum=$(md5sum $pkg | awk '{print $1}')
+ # Take pains to make variable value sed-safe
+ sed_safe_pkg=`echo $pkg | sed -e 's/\\//\\\\\\//g'`
+ tar -xzOf $pkg ./control.tar.gz | tar xzOf - ./control | sed -e "s/^Description:/Filename: $sed_safe_pkg\\
+Size: $file_size\\
+MD5Sum: $md5sum\\
+Description:/"
+ echo ""
+done